Subject: bug#56421: [PATCH] Make mouse-2 respect delete-selection mode

From: Po Lu <[email-masked]>
Date: Thu, 07 Jul 2022 09:12:28 +0800

Visuwesh <[email-masked]> writes:

> Ah, I did not notice that it is done by Chrome either, and I don't have
> any other X app handy to test.  I was surprised when mouse-2 did not
> replace the region, and found it inconsistent.

Having Button2 replace the region is not the right thing on X, which is
actually to deactivate the mark upon losing ownership of the primary
selection.  So what you talk about cannot happen in other X programs
(Emacs is the odd one out here.)